javax.swing.event

## Interface TreeWillExpandListener

- All Superinterfaces:
    EventListener

      public interface TreeWillExpandListener
      extends EventListener

  The listener that's notified when a tree expands or collapses a node. For further information and examples see How to Write a Tree-Will-Expand Listener, a section in The Java Tutorial.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `treeWillCollapse(TreeExpansionEvent event)` Invoked whenever a node in the tree is about to be collapsed.
    `void` | `treeWillExpand(TreeExpansionEvent event)` Invoked whenever a node in the tree is about to be expanded.

- - ### Method Detail

    - #### treeWillExpand

          void treeWillExpand(TreeExpansionEvent event)
                              throws ExpandVetoException

      Invoked whenever a node in the tree is about to be expanded.
      Throws:
        `ExpandVetoException`

    - #### treeWillCollapse

          void treeWillCollapse(TreeExpansionEvent event)
                                throws ExpandVetoException

      Invoked whenever a node in the tree is about to be collapsed.
      Throws:
        `ExpandVetoException`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.